Subject: Re: [PATCH 1/2] powerpc: string: implement optimized memset variants

From: Michael Ellerman <[email-masked]>
Date: Tue, 18 Apr 2017 16:45:00 +1000

Michael Ellerman <[email-masked]> writes:

> "Naveen N. Rao" <[email-masked]> writes:
>> (generic) is with Matt's arch-independent patches applied. Profiling 
>> indicates that most of the overhead is actually with the lzo 
>> decompression...
>>
>> Also, with a simple module to memset64() a 1GB vmalloc'ed buffer, here 
>> are the results:
>> generic:	0.245315533 seconds time elapsed	( +-  1.83% )
>> optimized:	0.169282701 seconds time elapsed	( +-  1.96% )
>
> Great, that's pretty conclusive.
>
> I'm pretty sure I can take these 2 patches independently of Matt's
> series, they just won't be used by much until his series goes in, so
> I'll do that unless someone yells.

Hmm, just went to merge these, but I don't see Matt's series in
linux-next, so I'll hold off for now.

cheers